GNU/Linux Administration - Bug #790

Problem Downloading PhantomdJS from NPM
04/03/2016 08:56 PM - Daniel Curtis

Status: Closed Start date: 04/03/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 0.50 hour
Target version: *nix Spent time: 0.50 hour

Description

| recently tried to install phantomjs globally from npm. However, when | tried to install it | received the following error:

Error requesting archive.

Status: 403

Request options: {

"uri": "https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-2.1.1-macosx.zip",
"encoding": null,

"followRedirect": true,

"headers": {

"User-Agent": "npm/2.14.7 node/v4.4.1 freebsd x64"

b
"strictSSL": true

1

Response headers: {

"x-amz-request-id": "FD153E6D630EBAB4",

"x-amz-id-2": "DgxDfZZRUFUJXHCyzrjXgzsAwALrEfpZdt2qgFgrDYPpb/QnXn/HwwYvS2qEZgX0BrGJdxnOxoVa4=",
"content-type": "application/xml",

"transfer-encoding": "chunked",

"date": "Mon, 04 Apr 2016 03:45:06 GMT",

"server": "AmazonS3",

"connection": "close"

1

Make sure your network and proxy settings are correct.

If you continue to have issues, please report this full log at hitps://github.com/Medium/phantomijs
npm ERR! FreeBSD 10.2-RELEASE

npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-g" "phantom;s"

npm ERR! node v4.4.1

npm ERR! npm v2.14.7

npm ERR! code ELIFECYCLE

npm ERR! phantomjs@2.1.3 install: "node install.js’

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the phantomjs@2.1.3 install script 'node install.js".
npm ERR! This is most likely a problem with the phantomjs package,
npm ERR! not with npm itself.

npm ERR! Tell the author that this fails on your system:

npm ERR! node install.js

npm ERR! You can get their info via:

npm ERR! npm owner Is phantomjs

npm ERRI! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!  /root/npm-debug.log

e After looking around online, | found a workaround by using the npm CDN to download packages:

PHANTOMJS_CDNURL=http://cnpmjs.org/downloads npm install —-g phantomjs
Resources

e http://stackoverflow.com/questions/23830671/cannot-install-phantomjs-is-it-a-bitbucket-issue

History

#1 - 04/03/2016 08:58 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 04/09/2016 10:18 AM - Daniel Curtis

- Status changed from Resolved to Closed
